cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
    },

    clickToPor: function() {
        cc.director.loadScene("helloworldPortrait");
        let orient = 2;
        if (cc.sys.OS_IOS === cc.sys.os && cc.sys.isNative) {
            if (orient === 1) {
                jsb.reflection.callStaticMethod("AppController", "switchScreenHorizontal");
            } else if (orient === 2) {
                jsb.reflection.callStaticMethod("AppController", "switchScreenVertical");
            }
        }
        let size = cc.view.getFrameSize();
        if (orient === 1) {
            cc.view.setOrientation(cc.macro.ORIENTATION_LANDSCAPE);
            if (size.height > size.width) {
                cc.view.setFrameSize(size.height, size.width);
            }
            cc.Canvas.instance.designResolution = cc.size(1334, 750);
        } else if (orient === 2) {
            cc.view.setOrientation(cc.macro.ORIENTATION_PORTRAIT);
            if (size.width > size.height) {
                cc.view.setFrameSize(size.height, size.width);
            }
            cc.Canvas.instance.designResolution = cc.size(750, 1334);
        }
        if (window.jsb) {
            window.dispatchEvent(new cc.Event.EventCustom("resize", true));
        }
    }
});
